use based::request::api::vec_to_api;
use rocket::{get, State};
use serde_json::json;

use crate::library::Library;

#[get("/yt/tags")]
pub async fn yt_tags(library: &State<Library>) -> serde_json::Value {
    let tags = library.get_tags_yt().await;
    json!(tags)
}

#[get("/yt/tag/<tag>")]
pub async fn yt_tag_page(tag: &str, library: &State<Library>) -> serde_json::Value {
    let mut channel_videos = library.get_videos_by_tag_yt(&tag).await;

    json!(vec_to_api(&mut channel_videos).await)
}

#[get("/yt/c/<channel>")]
pub async fn yt_channel_page(channel: &str, library: &State<Library>) -> serde_json::Value {
    let mut channel_videos = library.get_channel_videos_yt(&channel).await;
    json!(vec_to_api(&mut channel_videos).await)
}
